- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Friends

# QGraphicsAnchor Class Reference

Search for all occurrences

## Detailed Description

Definition at line 61 of file qgraphicsanchorlayout.h.

`#include <qgraphicsanchorlayout.h>`

Inheritance diagram for QGraphicsAnchor:
[legend]

List of all members.

## Public Member Functions
void | setSpacing (qreal spacing)
void | unsetSpacing ()
qreal | spacing () const
void | setSizePolicy (QSizePolicy::Policy policy)
QSizePolicy::Policy | sizePolicy () const
| ~QGraphicsAnchor ()
## Properties
qreal | spacing
QSizePolicy::Policy | sizePolicy
## Friends
class | QGraphicsAnchorLayoutPrivate
struct | AnchorData

## Constructor & Destructor Documentation

~QGraphicsAnchor | ( |  | ) |

## Member Function Documentation

void setSpacing | ( | qreal | spacing | ) |

Search for all occurrences

void unsetSpacing | ( |  | ) |

Search for all occurrences

qreal spacing | ( |  | ) | const

Search for all occurrences

void setSizePolicy | ( | QSizePolicy::Policy | policy | ) |

Search for all occurrences

QSizePolicy::Policy sizePolicy | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QGraphicsAnchorLayoutPrivate `[friend]`

Search for all occurrences

Definition at line 78 of file qgraphicsanchorlayout.h.

friend struct AnchorData `[friend]`

Search for all occurrences

Definition at line 79 of file qgraphicsanchorlayout.h.

## Property Documentation

qreal spacing `[read, write]`

Search for all occurrences

Definition at line 64 of file qgraphicsanchorlayout.h.

QSizePolicy::Policy sizePolicy `[read, write]`

Search for all occurrences

Definition at line 65 of file qgraphicsanchorlayout.h.

The documentation for this class was generated from the following file:

- QtGui/qgraphicsanchorlayout.h

QGraphicsAnchor QGraphicsAnchor QGraphicsAnchor QGraphicsAnchor QGraphicsAnchor QGraphicsAnchor QGraphicsAnchor QGraphicsAnchor QGraphicsAnchor QGraphicsAnchor
QGraphicsAnchor QGraphicsAnchor QGraphicsAnchor QGraphicsAnchor QGraphicsAnchor QGraphicsAnchor QGraphicsAnchor QGraphicsAnchor QGraphicsAnchor QGraphicsAnchor